%global namedreltag .Final-redhat-1
%global brewreltag .Final_redhat_1
%global namedversion %{version}%{?namedreltag}

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without mead

%define maven_version 1.0.1.Final-redhat-1

Name: jul-to-slf4j-stub
Version: 1.0.1
Release: 1%{brewreltag}.1%{?dist}.2
Summary: Stub for using jul-to-slf4j with JBoss Log Manager 
Group: Development/Libraries/Java

%if %with mead
Source100: org.jboss.logging-jul-to-slf4j-stub-1.0.1.Final-redhat-1-sources.zip
Source101: org.jboss.logging-jul-to-slf4j-stub-1.0.1.Final-redhat-1-patches.zip
Source102: jul-to-slf4j-stub-1.0.1.Final-redhat-1.pom
Source103: jul-to-slf4j-stub-1.0.1.Final-redhat-1.jar
Source104: jul-to-slf4j-stub-1.0.1.Final-redhat-1-sources.jar
Source105: jul-to-slf4j-stub-1.0.1.Final-redhat-1-javadoc.jar
%endif

License: Open Source
URL: https://github.com/jboss-logging/jul-to-slf4j-stub.git
Epoch: 0

%if %without mead
# git clone git://git.app.eng.bos.redhat.com/jboss-logging/jul-to-slf4j-stub.git
# cd jul-to-slf4j-stub && git checkout  1.0.0.Final-redhat-2
# cd .. && tar cjf jul-to-slf4j-stub-1.0.0.Final-src.tar.bz2 jul-to-slf4j-stub
# HEAD is now at c5b1f2e... Prep 1.0.0.Final
Source0: 	%{name}-%{version}.Final-src.tar.bz2
%endif

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-buildroot
%if %without mead
BuildRequires:  jpackage-utils
%endif

Requires:  slf4j

%description
Stub for using jul-to-slf4j with JBoss Log Manager 

%prep

%build

%install
# On RHEL-6 the signed JARs are on a different place
export JPP_SIGNED=2

# JARS
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/
%if %without mead
pushd %{_javadir}/jbossas-fordev
for i in `ls *-%{namedversion}.*ar`; do
    cp -p $i $RPM_BUILD_ROOT%{_javadir}/
done
popd
%else
pushd %{_sourcedir}
for i in `ls *-%{namedversion}.*ar`; do 
    cp -p $i $RPM_BUILD_ROOT%{_javadir}/
done
popd
%endif

(cd %{buildroot}%{_javadir}/ && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# POMS
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
%if %without mead
pushd %{_javadir}/jbossas-fordev
for i in `ls *-%{namedversion}.pom`; do
    cp -p $i $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-`/bin/echo ${i} | %{__sed} -e "s|-%{namedversion}||g"`.pom
    %add_to_maven_depmap org.jboss.logging %{name} %{namedversion} JPP %{name}
done
popd
%else
pushd %{_sourcedir}
for i in `ls *-%{namedversion}.pom`; do 
    cp -p $i $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-`/bin/echo ${i} | %{__sed} -e "s|-%{namedversion}||g"`.pom
    %add_to_maven_depmap org.jboss.logging %{name} %{namedversion} JPP %{name}
done
popd
%endif

%clean
rm -Rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}*/
%{_javadir}*/*ar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%changelog
* Wed Feb 20 2013 Yong Yang <yyang@redhat.com> - 0:1.0.1-1.Final_redhat_1
- 1.0.1.Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-4.Final_redhat_2.1.2
- Rebuild for MD5

* Mon Aug 20 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.0.0-3.Final_redhat_2.1.2
- Update poms for eap 6.0.1

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-2.Final_redhat_2.1.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-2.Final_redhat_1.1.1
- Rebuild using cache signing

* Mon Jun 11 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-2.Final_redhat_1.1
- Rebuild for RHEL-5

* Thu Mar 22 2012 Martha Benitez <mbenitez@redhat.com> - 0:1.0.0-1.Final_redhat_1.1
- First build
